package main

type TmplData struct {
	text      *Text
	Bookmarks []Bookmark
	Settings  *Settings
}

func (d *TmplData) Translate(str string) string {
	return d.text.Translate(str)
}

func (d *TmplData) Language() string {
	return d.text.Language
}

type CustomizeData struct {
	text      *Text
	Bookmarks []BookmarkData
	Settings  *Settings
}

func (d *CustomizeData) Translate(str string) string {
	return d.text.Translate(str)
}

func (d *CustomizeData) Language() string {
	return d.text.Language
}

type BookmarkData struct {
	*Bookmark
	text *Text
}

func (bd *BookmarkData) Translate(str string) string {
	return bd.text.Translate(str)
}
